summaryrefslogtreecommitdiff
path: root/util/rd
diff options
context:
space:
mode:
Diffstat (limited to 'util/rd')
-rwxr-xr-xutil/rd10
1 files changed, 10 insertions, 0 deletions
diff --git a/util/rd b/util/rd
new file mode 100755
index 0000000..1917fa0
--- /dev/null
+++ b/util/rd
@@ -0,0 +1,10 @@
+#!/bin/sh
+# rd: rename current directory
+# rd "new-name"
+
+
+[ "$1" = "" ] && echo "rd: rename directory: new name missing" && return
+curr="$(basename "$(pwd)")"
+cd ..
+mv "$curr" "$1"
+cd "$1" || return